G5-JS (indev)
=====

A simple yet powerful HTML5 game engine.  
"G5" derives from a combination of "Game" and "HTML5", I'm still searching for a proper name.  

**Open source under the [MIT](http://opensource.org/licenses/MIT) or [CC-BY-SA](https://creativecommons.org/licenses/by-sa/2.0/) license.**  
[**Demo & documentation**](http://elias-schuett.de/git/G5-JS/docs/)

----

#####G5 provides:

* **Intelligent game loop handling**  
  No need to worry about your setup anymore. 
  G5 takes advantage of your game logic aswell as your draw functions, allowing you to easily specify the drawing order and insert new code at runtime.

* **Event listening how it's supposed to be**  
  Spend less time looking up keycodes with G5's listen() method.  
  Simply specify your controls in string format and you're ready to go.

* **Intuitive spritesheet support**  
  G5's spritesheet class lets you slice, dye and animate your spritesheets.

* **Simple cookie interface**  
  Who can remember this weird cookie structure anyways? Setter and getter methods back you up.

* [**.. and much more!**](http://elias-schuett.de/git/G5-JS/docs/index.html)
